Subject: Re: linux-next: manual merge of the rdma tree with the rdma-fixes tree

From: Doug Ledford <[email-masked]>
Date: Mon, 30 Apr 2018 20:55:35 -0400

On Tue, 2018-05-01 at 10:10 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rdma tree got a conflict in:
> 
>   drivers/infiniband/sw/rxe/rxe_resp.c
> 
> between commit:
> 
>   9fd4350ba895 ("B/rxe: avoid double kfree_skb")
> 
> from the rdma-fixes tree and commit:
> 
>   2e47350789eb ("IB/rxe: optimize the function duplicate_request")
> 
> from the rdma tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.
> This is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

We will probably merge the for-rc branch into the for-next branch in the
next few days, at which point we will do the conflict resolution
ourselves and your need to carry anything should drop out.

-- 
Doug Ledford <[email-masked]>
    GPG KeyID: B826A3330E572FDD
    Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD